Issue 81926 - Base's modules not supported when creating a menu addon in Netbeans
Base's modules not supported when creating a menu addon in Netbeans
Status: ACCEPTED
Product: App Dev
Classification: Unclassified
Component: sdk
OOo 3.3 or older
All All
: P3 trivial
: ---
Assigned To: AOO issues mailing list
b.osi.ooo
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-25 09:52 UTC by Frank Schönheit
Modified: 2013-02-24 20:54 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Frank Schönheit 2007-09-25 09:52:56 UTC
If you installed the Netbeans plugin for OOo, you can create a new project type
"OpenOffice.org Add-On", which allows to specify new menus to appear in OOo's
application windows.

Unfortunately, all of Base's modules and sub modules are missing. To reproduce:
- File / New Project
- OpenOffice.org / OpenOffice.org Add-On
- "Next"
- "Next"
- "Next"
=> you're not on the page which allows specifying the context where the menu
   item should appear. Listed items are "Bibliography", "Chart", "Draw",
   "Formula", "Presentation", "Spreadsheet", "Writer".

What is missing is
- Base
- (Base) Query Design
- (Base) Table Design
- (Base) Relation Design
- (Base) Data View
- (Base) Text Forms
- (Base) Text Reports
- (Base) Report Design

What is also missing, but not Base-related:
- XML Form Documents
Comment 1 jsc 2007-09-26 09:26:33 UTC
jsc -> fs: yes you are right, we wasn't aware of this new mopdules and yes we
should support them

jsc -> sg: can you please check the correct entry names and which of these
modules are supported for addons (ask CD). And please integrate them in the dialog.
Comment 2 Frank Schönheit 2007-09-26 09:45:40 UTC
could we agree on a target milestone "2.4" for this issue?
Comment 3 jsc 2007-09-26 09:51:22 UTC
sure ;-)
Comment 4 steffen.grund 2007-09-28 09:14:11 UTC
accepted.
Comment 5 steffen.grund 2008-01-16 10:11:48 UTC
retarget
Comment 6 steffen.grund 2008-05-30 14:18:37 UTC
moved to target DevTools, but will be fixed with NB plugin 2.0